#------------------
# backends for static web
#
# TODO: remove some hardcoded values

backend static-2019-web-backend
    http-response set-status 404 reason "Not found" if { var(txn.path) -m str /404.html }
    http-request set-header Host www.jmmc.fr
    http-request set-var(txn.path) path
    server web-1 {{service.host_machine}}.{{ansible_domain}}:{{service.ports.0|regex_replace('^(\\d+):\\d+$','\\1')}}

backend osug-spip-backend
    http-request set-header Host jmmc.osug.fr
    server osug-spip jmmc.osug.fr:443 ssl verify none

backend trac-backend
    # keep next line in comment for testing on many frontends (& should be ok for production)
    http-request set-header Host trac.jmmc.fr
    server trac-1 osug-trac.u-ga.fr:80


backend twiki-backend
    # reduce load / heavy computation using redirect to login url requests without TWIKISID 
    acl cookie-has-twikisid hdr_reg(Cookie) .*TWIKISID.*
    acl bot-user-agent      hdr_reg(User-Agent) .*bot.*
    acl view-pages          url_beg -i      /twiki/bin/view/
    acl pub-pages           url_beg -i      /twiki/pub/

    acl url_webstatistics path_end WebStatistics
    http-request redirect location %[path,regsub(/bin/view,/bin/login,)] if url_webstatistics !cookie-has-twikisid
    # was: http-request deny if url_webstatistics

    acl url_rdiff path_reg .*/bin/rdiff/.*
    http-request redirect location %[path,regsub(/bin/rdiff,/bin/login,)] if url_rdiff !cookie-has-twikisid

    http-request deny unless view-pages OR pub-pages OR !bot-user-agent


    # keep next line in comment for testing on many frontends (& should be ok for production)
    # http-request set-header Host www.jmmc.fr
    server twiki-1 wiki.prod.jmmc.fr:80

backend old-apps-server
    # TODO try to enable keepalive on old server back
    option forceclose
    http-request set-header Host apps.jmmc.fr
    server apps-1 apps-old.jmmc.fr:80

backend old-apps-server-secure
    http-request set-header Host apps.jmmc.fr
    server apps-secure apps-old.jmmc.fr:443 ssl verify none


backend amhra-backend
    http-request set-header X-Forwarded-Host amhra.jmmc.fr
    http-request set-header Host amhra.oca.eu
    server amhra-oca amhra.oca.eu:443 ssl verify none
